# Static Set schema

Example:

    {"camliVersion": 1,
     "camliType": "static-set",

     // Either one of members or mergeSets is required, and they are mutually exclusive.
     // If a directory has enough children that the resulting static-set blob
     // would be larger than the maximum schema blob size, then the children are
     // actually spread (recursively, if needed) onto several static-sets. When that is
     // the case, these subsets are stored in mergeSets instead of members. Members
     // stores the actual file or directory schemas (the actual members of the top
     // static-set entity).
     //
     // Members can be ordered or unordered, depending on context/needs. If unordered,
     // it's recommended but not required to sort the blobrefs.
     "members": [
        "digalg-blobref-item1",  // maybe a file?
        "digalg-blobref-item2",  // maybe a directory?
        "digalg-blobref-item3",  // maybe a symlink?
        "digalg-blobref-item4",  // maybe a permanode?
        "digalg-blobref-item5",  // ... don't know until you fetch it
        "digalg-blobref-item6",  // ... and what's valid depends on context
        "digalg-blobref-item7",  // ... a permanode in a directory would
        "digalg-blobref-item8"   // ... be invalid, for instance.
     ],
     "mergeSets": [
        "digalg-blobref-subset1",  // another static-set, with either members or subsets
        "digalg-blobref-subset2",  // ''
        "digalg-blobref-subset3",  // ''
        "digalg-blobref-subset4",  // ''
     ]
    }

Note: dynamic sets are structured differently, using a permanode and
      membership claim nodes.  The above is just for presenting a snapshot
      of members.
